Bug 301888 - setting task duration messes up schedule
Summary: setting task duration messes up schedule
Status: RESOLVED FIXED
Alias: None
Product: calligraplan
Classification: Unclassified
Component: general (show other bugs)
Version: 2.4.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dag Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-14 09:33 UTC by laurent.savaete
Modified: 2012-06-19 11:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments
doc reproducing the problem (10.53 KB, application/x-vnd.kde.plan)
2012-06-14 09:33 UTC, laurent.savaete
Details
screenshot of gantt chart is it should look (taken with duration=2d) (221.03 KB, image/png)
2012-06-14 09:36 UTC, laurent.savaete
Details
screenshot of buggy gantt chart (with duration set to 2h) (222.03 KB, image/png)
2012-06-14 09:37 UTC, laurent.savaete
Details

Note You need to log in before you can comment on or make changes to this bug.
Description laurent.savaete 2012-06-14 09:33:41 UTC
Created attachment 71821 [details]
doc reproducing the problem

In the attached file, if I change task programming/UI/build search page duration from 2d to 2h, then run schedule/calculate (using network scheduler, other schedulers seem ok), calculation completes, but the resulting gantt chart is buggy (subsequent tasks all start at same time, end dates are correct, so their duration is all wrong).
Changing duration back to 2d corrects the problem, at least in my understanding of things.
If I change first task duration, the problem does not occur.
Comment 1 laurent.savaete 2012-06-14 09:36:11 UTC
Created attachment 71822 [details]
screenshot of gantt chart is it should look (taken with duration=2d)
Comment 2 laurent.savaete 2012-06-14 09:37:43 UTC
Created attachment 71823 [details]
screenshot of buggy gantt chart (with duration set to 2h)
Comment 3 Dag Andersen 2012-06-15 08:40:49 UTC
Indeed!! Strange bug, almost funny :)
If the said task ends before end of day (so duration < 4h) scheduling fails.
I thought the scheduling was fairly time agnostic, but well, seems not.
Comment 4 Dag Andersen 2012-06-19 09:47:01 UTC
Git commit edf6debf2b07a43e175074a1efbf0b753db8d00c by Dag Andersen.
Committed on 19/06/2012 at 11:42.
Pushed by danders into branch 'master'.

Fix scheduling bug

If you have 3 (or more) tasks competing for same resource and
2 of the tasks end on same date the 3rd should start on the same date,
start time is not calculated correctly for the 3rd task.

M  +1    -4    plan/libs/kernel/kptschedule.cpp

http://commits.kde.org/calligra/edf6debf2b07a43e175074a1efbf0b753db8d00c